'DIRTXT.BAS    Ray Thomas      20th March 2006

'Program to read the files listed in dir.txt and (gained by
'DIR "k:\website\free host\*.htm*" /s/b > d:\website\dir.txt) and to
'create a text file named sitemap.txt which lists the files found in that
'file. The file created is suitable for use with Google Sitemaps -
'http://google.com/webmasters/sitemaps. Also see my post at
'http://www.250free.com/help/forum/viewtopic.php?t=2958

'*** User changeable variables ***

DIM dirFile AS STRING   'The directory file - this should be the same as that
                        'specified in dirtxt.bat
DIM txtOut AS STRING    'The text output file - this includes the path
DIM ignore AS STRING    'The part of the directory path to replace with
                        'either nothing ie httpPath = "" or whatever is in
                        'httpPath
DIM httpPath AS STRING  'If the absolute path is to be shown in the HTML
                        'directory then use this
                        'for example http://brisray.com
                        'If a listing of just the directories and files is
                        'needed then leave this as ""
'The paths and file names must be written in the old DOS 8.3 filename format
'ie the directory "free hosts" has to be written as freeho~1

dirFile$ = "k:\website\dir.txt"
txtOut$ = "k:\website\freeho~1\sitemap.txt"
ignore$ = "k:\website\free hosts\"
httpPath$ = "http://brisray.com/"

'*** Program variables - do not change unless you know what you are doing ***

DIM inFile AS STRING    'Holds the lines from the directory file
DIM posn AS INTEGER     'Place holder for instr command

OPEN dirFile$ FOR INPUT ACCESS READ LOCK READ WRITE AS #1
OPEN txtOut$ FOR OUTPUT ACCESS WRITE LOCK READ WRITE AS #2

DO
        LINE INPUT #1, inFile$

        '*** Replaces ignore$ with httpPath$

        IF INSTR(inFile$, ignore$) > 0 THEN
                inFile$ = MID$(inFile$, LEN(ignore$) + 1)
                inFile$ = httpPath$ + inFile$
        END IF

        '*** Checks for and replaces \ with /

        posn = 1
        DO UNTIL INSTR(posn, inFile$, "\") < 1
                posn = INSTR(1, inFile$, "\")
                MID$(inFile$, posn, 1) = "/"
                posn = posn + 1
        LOOP
        PRINT #2, inFile$
LOOP UNTIL EOF(1)

CLOSE
SYSTEM

