'XINY.BAS       Ray Thomas      July 1999

' X in Y data record selection program

DIM DataFile AS STRING  'Path and name of data file
DIM TestFile AS STRING  'Test file to create
DIM InRec AS STRING     'Holds the record being worked on
DIM TotRecs AS LONG     'Number of records in data file
DIM StrtPosn AS LONG    'Start position of each group
DIM RecLen AS INTEGER   'Record length of data file
DIM YSel AS INTEGER     'Number of groups
DIM XSel AS INTEGER     'Number of records from each group
DIM Count AS INTEGER    'Loop counter
DIM Counter AS INTEGER  'Loop counter

DataFile$ = "E:\Ray\TestData\Ray5.dat"
RecLen = 718
TestFile$ = "E:\Ray\TestData\Ray1.tst"

CLS
PRINT
PRINT "Program to make a X in Y data record selection"
PRINT
PRINT
INPUT "Number of groups? ", YSel
PRINT
INPUT "Number of records? ", XSel
PRINT
PRINT
PRINT "You have asked for"; XSel * YSel; "records to be produced."
PRINT
PRINT "Record numbers selected :-"
PRINT

OPEN DataFile$ FOR RANDOM ACCESS READ LOCK READ WRITE AS #1 LEN = RecLen
FIELD #1, RecLen AS InRec$
TotRecs = LOF(1) / RecLen       'calculates the number of records in the data file
OPEN TestFile$ FOR OUTPUT ACCESS WRITE LOCK READ WRITE AS #2

StrtPosn = 1
FOR Count = 1 TO YSel
        FOR Counter = 1 TO XSel
                GET #1, StrtPosn
                PRINT StrtPosn;
                PRINT #2, InRec$
                StrtPosn = StrtPosn + 1
        NEXT Counter
        StrtPosn = Count * (TotRecs / YSel)
NEXT Count
CLOSE
END

